%global debug_package %{nil}
%global git_commit 6d28df4

Name:       packer
Version:    1.9.5
Release:    2%{?dist}
Summary:    A tool for generating machine images for multiple platforms.
License:    MPL-2.0
URL:        https://www.packer.io
Source0:    https://github.com/hashicorp/packer/archive/refs/tags/v%{version}.tar.gz
Source1:    %{name}-%{version}-vendored-deps.tar.gz
Source2:    bundled.inc

BuildRequires:  golang
%include        %SOURCE2

%description
Packer is a tool for building identical machine images for multiple
platforms in parallel from a single source configuration.


%prep
%autosetup
tar -xf %SOURCE1 --strip-components=1


%build
export CGO_ENABLED=0
GITCOMMIT="-X github.com/hashicorp/packer/version.GitCommit=%{git_commit}"
VERSION="-X github.com/hashicorp/packer/version.Version=%{version}"
go build -o ./packer-bin -ldflags "-s -w ${GITCOMMIT} ${VERSION}" -mod=vendor .


%install
install -D -m 0755 packer-bin %{buildroot}%{_bindir}/packer


%files
%doc README.md CHANGELOG.md CODEOWNERS
%license LICENSE
%{_bindir}/packer


%changelog
* Mon Dec 04 2023 Mike Rochefort <mroche@omenos.dev> - 1.9.5-2
- Fix bundled provides

* Mon Dec 04 2023 Mike Rochefort <mroche@omenos.dev> - 1.9.5-1
- Update to v1.9.5

* Sat Oct 14 2023 Mike Rochefort <mroche@omenos.dev> - 1.9.4-2
- Rebuild with Go 1.21.3

* Fri Aug 18 2023 Mike Rochefort <mroche@omenos.dev> - 1.9.4-1
- Update to v1.9.4

* Fri Aug 18 2023 Mike Rochefort <mroche@omenos.dev> - 1.9.3-1
- Update to v1.9.3

* Fri Jul 21 2023 Mike Rochefort <mroche@omenos.dev> - 1.9.2-1
- Update to v1.9.2

* Fri Jun 02 2023 Mike Rochefort <mroche@omenos.dev> - 1.9.1-1
- Update to v1.9.1

* Wed May 31 2023 Mike Rochefort <mroche@omenos.dev> - 1.9.0-1
- Update to v1.9.0

* Fri May 05 2023 Mike Rochefort <mroche@omenos.dev> - 1.8.7-1
- Update to v1.8.7

* Wed Feb 15 2023 Mike Rochefort <mroche@omenos.dev> - 1.8.6-1
- Update to v1.8.6

* Tue Dec 13 2022 Mike Rochefort <mroche@omenos.dev> - 1.8.5-1
- Update to v1.8.5

* Wed Nov 09 2022 Mike Rochefort <mroche@redhat.com> - 1.8.4-1
- Update to v1.8.4

* Thu Apr 21 2022 Mike Rochefort <mroche@redhat.com> - 1.8.0-1
- Build v1.8.0
